---
- name: Get template
  get_url:
    url: "{{ paas_ci_test.template_url }}"
    dest: "{{ paas_ci_workdir + '/template.yaml' }}"  

- name: Deployment command
  set_fact:
    depcreate_cmd: "orchent depcreate --ojson template.yaml -g {{ paas_ci_iam_group }} {{ paas_ci_test.inputs }}"

- debug:
    var: depcreate_cmd

- name: Test command
  set_fact:
    test_cmd: "test command"

- debug:
    var: test_cmd

- name:  Create the deployment
  command: "{{ depcreate_cmd }}"
  args:
    chdir: "{{ paas_ci_workdir }}"
  register: depcreate_output

- debug:
    var: depcreate_output

- set_fact:
    deployment: "{{ depcreate_output.stdout|from_json }}"

- debug:
    var: deployment

- name: Sleep for 300 seconds and timeout
  wait_for:
    delay: 300
    timeout: 0

- name:  Check the deployment status (every 5 mins)
  command: orchent depshow --ojson "{{ deployment.uuid }}"
  register: depshow_output
  until: "'PROGRESS' not in depshow_output.stdout"
  retries: 15
  delay: 300
  failed_when: "'error' in depshow_output.stdout"

- set_fact:
    deployment: "{{ depshow_output.stdout|from_json }}"

- name: Save result to file
  copy:
    dest: "{{ paas_ci_workdir }}/dep.json"
    content: "{{ depshow_output.stdout }}"

- name: Get deployment status and outputs (if successful)
  assert:
    that:
      - deployment.status == 'CREATE_COMPLETE'
    fail_msg: "TEST FAILED -  deployment uuid: {{ deployment.uuid }}, status: {{ deployment.status }}"
    success_msg: "TEST PASSED - deployment uuid: {{ deployment.uuid }}, status: {{ deployment.status }}, outputs: {{ deployment.outputs }}"